<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14460.31" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="IfD-rb-eDy">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14460.20"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Custom Prop-->
        <scene sceneID="b98-zV-WmO">
            <objects>
                <viewController automaticallyAdjustsScrollViewInsets="NO" id="IfD-rb-eDy" userLabel="Custom Prop" customClass="SendCustomPropViewController" customModule="Nicely" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="kFJ-fD-y6M">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" showsHorizontalScrollIndicator="NO" showsVerticalScrollIndicator="NO" textAlignment="natural" translatesAutoresizingMaskIntoConstraints="NO" id="DGh-dP-Vrs">
                                <rect key="frame" x="18" y="36" width="339" height="501.5"/>
                                <color key="tintColor" red="1" green="0.82745098039999998" blue="0.0" alpha="1" colorSpace="calibratedRGB"/>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                                <connections>
                                    <outlet property="delegate" destination="IfD-rb-eDy" id="cK8-Zp-y27"/>
                                </connections>
                            </textView>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Compose your own anonymous message" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="8RQ-Hq-mh2" userLabel="Placeholder">
                                <rect key="frame" x="22" y="44" width="331" height="20.5"/>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <color key="textColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="mrs-n7-d4V">
                                <rect key="frame" x="16" y="553.5" width="343" height="63.5"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="mrs-n7-d4V" secondAttribute="height" multiplier="345:64" id="ch0-m4-CZB"/>
                                    <constraint firstAttribute="width" priority="500" constant="345" id="xvG-vD-HPo"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" weight="semibold" pointSize="17"/>
                                <state key="normal" title="Send" backgroundImage="PrimaryButton">
                                    <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                </state>
                                <connections>
                                    <action selector="onSendButtonTouchUpInside:" destination="IfD-rb-eDy" eventType="touchUpInside" id="syP-Gj-dLI"/>
                                </connections>
                            </button>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="1QS-ff-3Lk" userLabel="Bottom Spacer View">
                                <rect key="frame" x="0.0" y="667" width="375" height="0.0"/>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="height" id="xjG-Cz-0YX"/>
                                </constraints>
                            </view>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="hPi-jG-jyG">
                                <rect key="frame" x="16" y="625" width="343" height="30"/>
                                <fontDescription key="fontDescription" type="system" weight="medium" pointSize="14"/>
                                <state key="normal" title="Choose a note instead">
                                    <color key="titleColor" red="0.45098039215686275" green="0.0" blue="0.83921568627450982" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <connections>
                                    <action selector="onChooseBoostButtonTouchUpInside:" destination="IfD-rb-eDy" eventType="touchUpInside" id="dpk-s6-6LR"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="mrs-n7-d4V" firstAttribute="leading" relation="greaterThanOrEqual" secondItem="F0D-Xy-T51" secondAttribute="leading" constant="16" id="1uL-zp-p72"/>
                            <constraint firstItem="hPi-jG-jyG" firstAttribute="leading" secondItem="F0D-Xy-T51" secondAttribute="leading" constant="16" id="1xf-Tn-Obi"/>
                            <constraint firstItem="1QS-ff-3Lk" firstAttribute="bottom" secondItem="F0D-Xy-T51" secondAttribute="bottom" id="5Ie-C2-xAF"/>
                            <constraint firstItem="F0D-Xy-T51" firstAttribute="trailing" secondItem="1QS-ff-3Lk" secondAttribute="trailing" id="BLg-N7-jQD"/>
                            <constraint firstItem="8RQ-Hq-mh2" firstAttribute="top" secondItem="DGh-dP-Vrs" secondAttribute="topMargin" id="DBJ-Vr-VUq"/>
                            <constraint firstItem="8RQ-Hq-mh2" firstAttribute="trailing" secondItem="DGh-dP-Vrs" secondAttribute="trailing" constant="-4" id="EDs-Oi-r8X"/>
                            <constraint firstItem="mrs-n7-d4V" firstAttribute="top" secondItem="DGh-dP-Vrs" secondAttribute="bottom" constant="16" id="F91-Cw-67Y"/>
                            <constraint firstItem="F0D-Xy-T51" firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="mrs-n7-d4V" secondAttribute="trailing" constant="16" id="KLu-qo-kZF"/>
                            <constraint firstItem="DGh-dP-Vrs" firstAttribute="leading" secondItem="F0D-Xy-T51" secondAttribute="leading" constant="18" id="MO0-xi-Rjm"/>
                            <constraint firstItem="1QS-ff-3Lk" firstAttribute="leading" secondItem="F0D-Xy-T51" secondAttribute="leading" id="Oqk-R8-nsD"/>
                            <constraint firstItem="F0D-Xy-T51" firstAttribute="trailing" secondItem="DGh-dP-Vrs" secondAttribute="trailing" constant="18" id="U3I-dn-hM9"/>
                            <constraint firstItem="mrs-n7-d4V" firstAttribute="centerX" secondItem="F0D-Xy-T51" secondAttribute="centerX" id="ZnP-BF-jZB"/>
                            <constraint firstItem="hPi-jG-jyG" firstAttribute="centerX" secondItem="F0D-Xy-T51" secondAttribute="centerX" id="cQi-58-4HN"/>
                            <constraint firstItem="8RQ-Hq-mh2" firstAttribute="leading" secondItem="DGh-dP-Vrs" secondAttribute="leading" constant="4" id="eTy-o0-CMS"/>
                            <constraint firstItem="hPi-jG-jyG" firstAttribute="top" secondItem="mrs-n7-d4V" secondAttribute="bottom" constant="8" id="hrK-pY-ZlR"/>
                            <constraint firstItem="1QS-ff-3Lk" firstAttribute="top" secondItem="hPi-jG-jyG" secondAttribute="bottom" constant="12" id="phs-RD-4C0"/>
                            <constraint firstItem="F0D-Xy-T51" firstAttribute="trailing" secondItem="hPi-jG-jyG" secondAttribute="trailing" constant="16" id="ppo-wD-Aim"/>
                            <constraint firstItem="DGh-dP-Vrs" firstAttribute="top" secondItem="F0D-Xy-T51" secondAttribute="top" constant="16" id="r6q-1x-8BC"/>
                            <constraint firstItem="1QS-ff-3Lk" firstAttribute="top" secondItem="mrs-n7-d4V" secondAttribute="bottom" constant="50" id="xnL-IS-DKy"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="F0D-Xy-T51"/>
                    </view>
                    <toolbarItems/>
                    <connections>
                        <outlet property="bottomSpacerViewHeightConstraint" destination="xjG-Cz-0YX" id="8lI-N1-q7L"/>
                        <outlet property="placeholderLabel" destination="8RQ-Hq-mh2" id="NIJ-Lg-kQP"/>
                        <outlet property="sendButton" destination="mrs-n7-d4V" id="x84-gB-Pvb"/>
                        <outlet property="textView" destination="DGh-dP-Vrs" id="dZL-bB-XQW"/>
                        <segue destination="MtL-yf-UuZ" kind="presentation" identifier="Unauthorize" id="YoV-uw-hRP"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="WvT-AT-kJP" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-1276" y="1806"/>
        </scene>
        <!--SignIn-->
        <scene sceneID="0pQ-GG-TSQ">
            <objects>
                <viewControllerPlaceholder storyboardName="SignIn" id="MtL-yf-UuZ" sceneMemberID="viewController"/>
                <placeholder placeholderIdentifier="IBFirstResponder" id="9Kr-qW-RMo" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-1276" y="2314"/>
        </scene>
        <!--Props-->
        <scene sceneID="mEh-Js-XC2">
            <objects>
                <viewControllerPlaceholder storyboardName="Props" id="Whc-Sh-loe" sceneMemberID="viewController"/>
                <placeholder placeholderIdentifier="IBFirstResponder" id="QGR-cO-Keo" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2200" y="1805.3973013493255"/>
        </scene>
        <!--SignIn-->
        <scene sceneID="t1u-wC-e6c">
            <objects>
                <viewControllerPlaceholder storyboardName="SignIn" id="ac7-5u-j7M" sceneMemberID="viewController"/>
                <placeholder placeholderIdentifier="IBFirstResponder" id="TJo-HX-ve9" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="98" y="3103"/>
        </scene>
    </scenes>
    <resources>
        <image name="PrimaryButton" width="345" height="64"/>
    </resources>
</document>
